# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Floating button widget"

import gobject

from button import Button

class FloatingButton(Button):
    """ 
    A button widget that floats on top of other widgets, this means it hasn't 
    any visible contourns or solid backgrounds so it integrates well with the 
    underlying widget
    
    """
        
    def __init__(self, icon=None, label=None):
        """ Initialize floating button widget """
        
        super(FloatingButton, self).__init__(icon, label)
        
        
        
        
        
